@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Saira:ital,wght@0,100..900;1,100..900&display=swap');

:root {
    --primary: #16A149;
    --mini-primary: #F3FAF4;
    --secondary: rgba(32, 32, 32, 1);
    --gray: #525252;
    --light-gray: #E6E5E5;
    --title: #252525;
    --para: #5D6A7C;
    --box: #2E2D2F;
    --white: rgba(255, 255, 255, 1);
    --gray-dark: #212022;
    --border: #CDE3D1;
}

html {
    scroll-behavior: smooth;
}

body {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: "Poppins", sans-serif;
}

p {
    color: var(--para);
}

button.fc-today-button.fc-button.fc-button-primary {
    display: none;
}

a.link {
    transition: all 0.2s ease;
}

a.link:hover {
    text-decoration: underline;
    color: #199f46 !important;
}

a.link:active {
    opacity: 0.7;
}

a.link:focus {
    outline: 2px dashed #000;
}

.social-icons i:hover {
    color: #16a149;
}

.content-box a.btn.btn-outline-primary.document-btn {
    background-color: transparent;
    color: #16a149 !important;
    padding: 0.7rem 1.1rem !important;
    border-radius: .7rem;
    border: 2px solid #16a149 ! IMPORTANT;
    transition: transform 0.2s ease, box-shadow 0.2s ease;
    cursor: pointer;
    font-size: 1rem;
}

.custom-navbar {
    background-color: var(--white);
    transition: background-color 0.3s ease;
    box-shadow: 0px 4px 24px 0px rgba(0, 0, 0, 0.10);
}

.custom-navbar.scrolled {
    box-shadow: 0px 4px 24px 0px rgba(0, 0, 0, 0.10);
    position: sticky;
    top: 0;
    z-index: 111;
}

.navbar .nav-link {
    color: var(--gray);
    transition: color 0.3s ease;
}

.navbar .nav-link:hover {
    color: var(--primary);
}

.nav-link.active {
    color: var(--primary);
}

.navbar-brand:focus-visible {
    outline: none;
    box-shadow: none;
}

.logo {
    width: 9rem;
}


/* Modal Base */
#logoutModal {
    position: fixed;
    inset: 0;
    display: none;
    z-index: 9999;
}

/* Backdrop */
#logoutModal .modal-backdrop {
    position: absolute;
    inset: 0;
    background: rgba(0,0,0,0.5);
    backdrop-filter: blur(4px);
}

/* Card */
#logoutModal .modal-card {
    position: relative;
    width: 90%;
    max-width: 400px;
    margin: auto;
    top: 50%;
    transform: translateY(-50%) scale(0.9);
    background: #fff;
    border-radius: 16px;
    padding: 30px 25px;
    text-align: center;
    box-shadow: 0 20px 50px rgba(0,0,0,0.15);
    transition: all 0.3s ease;
        z-index: 9999;
}

/* Show animation */
#logoutModal.active .modal-card {
    transform: translateY(-50%) scale(1);
}

/* Icon */
#logoutModal .modal-icon {
    width: 60px;
    height: 60px;
    background: rgba(22,161,73,0.1);
    color: #16a149;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
    margin: 0 auto 15px;
    font-size: 24px;
}

/* Text */
#logoutModal .modal-card h5 {
    font-weight: 600;
    margin-bottom: 8px;
}

#logoutModal .modal-card p {
    font-size: 14px;
    color: #666;
    margin-bottom: 25px;
}

/* Buttons */
#logoutModal .modal-actions {
    display: flex;
    gap: 10px;
}

#logoutModal .btn-cancel {
    flex: 1;
    border: 1px solid #ddd;
    background: #fff;
    padding: 10px;
    border-radius: 8px;
    cursor: pointer;
}

#logoutModal .btn-confirm {
    flex: 1;
    background: #16a149;
    color: #fff;
    border: none;
    padding: 10px;
    border-radius: 8px;
    cursor: pointer;
    transition: 0.2s;
}

 #logoutModal .btn-confirm:hover {
    background: #12863c;
}


/*Cookie*/

.js-cookie-consent {
    position: fixed;
    background-color: #16A149;
    width: 100%;
    padding: 10px 30px 20px;
    color: white;
    z-index: 9999;
    box-shadow: 0 2px 16px rgba(0, 0, 0, 0.15);
}

.js-cookie-consent .flex-wrap {
  display: flex;
}

.js-cookie-consent .cookie-consent__message {
    margin-bottom: 0;
    margin-top: 15px;
    margin-right: 20px;
    color: white !important;
}

.js-cookie-consent button.js-cookie-consent-agree.cookie-consent__agree.cursor-pointer {
    color: rgb(22 161 73) !important;
    background: #ffffff !important;
    border: none;
    border-radius: 100px;
}

.js-cookie-consent button.cookie-consent__decline.px-4.py-2 {
    color: white !important;
    border: none;
    border-radius: 100px;
    background-color: transparent;
    border: 2px solid white;
    padding: 6px 25px ! IMPORTANT;
}

.menu {
    list-style: none;
    margin: 0;
    padding: 0;
    display: none;
    flex-direction: column;
    position: absolute;
    top: 100%;
    left: 0;
    width: 100%;
    background: #fff;
    border-top: 1px solid #ddd;
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
    z-index: 998;
}

.menu li a {
    display: block;
    padding: .4rem;
    text-decoration: none;
    color: var(--title);
    font-weight: 500;
}

.custom-navbar {
    background: #fff;
    z-index: 999;
    width: 100%;
    position: relative;
}

.menu li {
    margin: 0;
    text-align: left;
}


.time-slot {
    padding: 10px 16px;
    border-radius: 10px;
    border: 1px solid #cfe2ff;
    min-width: 90px;
    text-align: center;
    cursor: pointer;
    background: #fff;
}

.time-slot.active {
    border-color: #28a745;
    background: #e9f7ef;
    color: #28a745;
    font-weight: 600;
}

.time-slot.disabled {
    pointer-events: none;
    opacity: 0.4;
    background: #f2f2f2;
}


 .input-box.new-login.phone_field input.form-control {
  padding-left: 120px ! IMPORTANT;
}

 .input-box.new-login.phone_field input.form-control::placeholder {
  color: #6b6d6c;
}

.input-box.new-login.phone_field select.form-select.me-2 {
  position: absolute;
  background-color: transparent;
  border: none ! IMPORTANT;
  color: #6b6967;
}

.input-box.new-login.phone_field select.form-select.me-2 {
  position: absolute;
  top: 3px;
}

.input-box.new-login.phone_field {
  position: relative;
}

.custom-toggler {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    width: 1.7rem;
    height: 1.3rem;
    cursor: pointer;
}

.custom-toggler .bar {
    height: 3px;
    width: 100%;
    background: #000;
    border-radius: 2px;
    transition: all 0.3s ease;
}

li.nav-item {
    display: flex;
    align-items: center;
}

.nav-link.active {
    color: var(--primary);
    font-weight: 600;
}

.custom-toggler.open .bar1 {
    transform: rotate(45deg) translate(8px, 5px);
}

.custom-toggler.open .bar2 {
    opacity: 0;
}

.custom-toggler.open .bar3 {
    transform: rotate(-45deg) translate(7px, -5px);
}

.menu.show {
    display: flex;
}

.green-header-btn {
    background-color: var(--primary);
    color: #fff !important;
    padding: 0.7rem 1.1rem !important;
    border-radius: .7rem;
    border: none;
    box-shadow: 0 0 10px 0 #16A149;
    transition: transform 0.2s ease, box-shadow 0.2s ease;
    cursor: pointer;
    font-size: 1rem;
}

.green-header-btn:hover {
    transform: translateY(-3px) scale(1.02);
}

.red-header-btn {
    background-color: var(--primary);
    color: #fff !important;
    padding: 0.7rem 1.1rem !important;
    border-radius: .7rem;
    border: none;
    transition: transform 0.2s ease, box-shadow 0.2s ease;
    cursor: pointer;
    font-size: 1rem;
    border: 2px solid transparent !important;
}

.red-header-btn:hover {
    border-color: var(--primary) !important;
    color: var(--primary) !important;
    background-color: transparent;
}

.outline-btn {
    border: 0.15rem solid var(--primary);
    background: transparent;
    color: var(--primary) !important;
    padding: 0.6rem 1.7rem !important;
    border-radius: .7rem;
    font-weight: 500 !important;
    display: inline-flex !important;
    align-items: center;
    gap: 0.5rem;
    font-size: .9rem;
}

a.outline-btn:hover {
    background-color: var(--primary);
    color: var(--white) !important;
}

.outline-btn i {
    font-size: 1rem;
}

.outline-btn-book {
    border: 0.1rem solid var(--primary);
    background: transparent;
    color: var(--primary);
    padding: 0.6rem 1.7rem !important;
    border-radius: .7rem;
    font-weight: 500;
    display: inline-flex;
    align-items: center;
    gap: 0.5rem;
    font-size: .9rem;
    justify-content: center;
}

.outline-btn-book i {
    font-size: 1rem;
}

.footer {
    background-color: var(--title);
    color: #fff;
    font-size: 0.9rem;
    padding: 2rem 0 1rem 0;
}

.footer-menu,
.footer-bottom-links {
    list-style: none;
    padding: 0;
    margin: 0;
    gap: 2rem;
    display: flex;
}

.footer-menu li a,
.footer-bottom-links li a {
    color: #fff;
    text-decoration: none;
    transition: color 0.3s ease;
}

.footer-menu li a:hover,
.footer-bottom-links li a:hover {
    color: var(--primary);
}

.footer-divider {
    border-top: 1px solid rgba(120, 136, 140, 1);
}

.social-icons {
    margin-left: auto;
    display: flex;
    justify-content: end;
}

.social-icons a {
    display: inline-flex;
    justify-content: center;
    align-items: center;
    width: 2rem;
    height: 2rem;
    color: #fff;
    font-size: 1rem;
    transition: all 0.3s ease;
    text-decoration: none;
}

.social-icons a:hover {
    background-color: #fff;
    color: #2e6d64;
}

.footer-below {
    background-color: var(--gray-dark);
    padding: 0rem;
}

.copywrite {
    color: #807F82;
    font-size: .9rem;
}

.footer {
    background: #ffffff;
    color: #3d4b63;
}

.footer-links li a {
    color: #556070;
    text-decoration: none;
    font-size: 0.95rem;
}

.footer-links li a:hover {
    color: var(--primar);
}

.footer h6 {
    color: #000;
    font-size: 1rem;
}

.social-icons a {
    font-size: 1.2rem;
    color: #3d4b63;
}

.social-icons a:hover {
    color: #199f46 !important;
}

.hero-section {
    position: relative;
    padding: 7rem 0;
    display: flex;
    align-items: center;
    justify-content: center;
    overflow: hidden;
}

.hero-content {
    position: relative;
    z-index: 2;
    color: #fff;
    max-width: 60rem;
}

.hero-title {
    font-size: 4rem;
    font-weight: 400;
    margin-bottom: 1rem;
}

.hero-subtitle {
    font-size: 1.3rem;
    opacity: 0.9;
    margin-top: 1rem;
    color: var(--white);
    max-width: 65%;
    margin: auto;
}

.search-card {
    background: #0000004D;
    backdrop-filter: blur(0.8rem);
    border-radius: 1rem;
    border: 0.1rem solid rgb(114 114 114);
    padding: 2rem 2.6rem;
    margin-top: 3rem;
}

.search-heading {
    color: #fff;
    font-size: 2.2rem;
    font-weight: 600;
    text-align: left;
}

.form-label {
    color: #fff;
    font-size: 1rem;
    margin-bottom: 0.4rem;
}

.form-control-lg,
.form-select-lg {
    border-radius: 0.6rem;
    font-size: 1rem;
}

.search-btn {
    background: var(--primar);
    border: none;
    padding: 0.9rem;
    font-size: 1.1rem;
    border-radius: 0.6rem;
}

.how-it-works h2 {
    font-size: 2.1rem;
    color: var(--title);
}

.green-card {
    position: relative;
    background: var(--mini-primary);
    border-radius: 1.2rem;
}

.green-card h5 {
    font-size: 1.3rem;
    margin-bottom: 0.4rem;
}

.green-card p {
    font-size: 0.9rem;
    color: var(--para);
    margin: 0;
}

.green-card .step-number {
    font-size: 3rem;
    font-weight: 600;
    color: #D9EADC;
}

.step-icon {
    display: flex;
    justify-content: space-between;
}

.step-icon img {
    width: 2.5rem;
    height: auto;
}

.big-green-box {
    background: var(--primary);
    color: #fff;
    border-radius: 1.8rem;
    padding: 2.5rem;
    height: 100%;
}

.big-green-box .btn {
    border-radius: 0.5rem;
    color: var(--primary);
    height: 100%;
}

.big-green-box .btn:hover {
    background-color: var(--primary);
    border-color: var(--white);
    color: white;
}

h2 {
    font-size: 2.2rem;
    color: var(--title);
}

.big-light-box {
    background: #E3FAE8;
    border: 0.1rem solid #CDE3D1;
    border-radius: 1.8rem;
    padding: 2.5rem;
}

.cleaning-types p {
    font-size: 1.5rem;
    color: var(--title);
}

section.cleaning-types {
    background-color: var(--mini-primary);
}

.card-white-outline {
    background: #ffffff;
    border: 0.1rem solid #D1E1ED;
    border-radius: 1rem;
    transition: all 0.2s ease-in-out;
    height: 14rem;
}

.card-white-outline:hover {
    box-shadow: 0 0.8rem 2rem rgba(0, 0, 0, 0.05);
    border-color: #c7d8ea;
}

.card-white-outline h5 {
    font-size: 1.15rem;
    margin-bottom: 0.5rem;
}

.card-white-outline p {
    font-size: 0.95rem;
    margin: 0;
    color: #656565;
}

.card-icon {
    width: 3rem;
    height: auto;
}

.cleaners-section h2 {
    font-size: 2.2rem;
}

.cleaner-card {
    border-radius: 1rem;
    transition: 0.3s;
    padding: 1.1rem 1.3rem;
    border: 1px solid #D0D0D0;
}

.cleaner-icon {
    width: 3rem;
}

.badge-available {
    background: #f3faf3;
    border: 0.1rem solid #cbe8cb;
    font-size: 0.85rem;
    padding: 0.3rem 0.8rem;
    border-radius: 5rem;
    display: flex;
    align-items: center;
    gap: 0.4rem;
}

.badge-available .dot {
    width: 0.6rem;
    height: 0.6rem;
    background: #3cb043;
    border-radius: 50%;
}

.info-line {
    margin: 0;
    font-size: 0.95rem;
    color: #555;
}

.info-line i {
    margin-right: 0.4rem;
    color: #666;
}

.star {
    color: #f1b300;
}

.desc {
    font-size: 0.9rem;
    line-height: 1.4rem;
}

.price {
    color: #28a745;
    font-size: 1.4rem;
}

.exp {
    font-size: 0.9rem;
}

.btn-sm {
    padding: 0.6rem 0;
    border-radius: 0.6rem;
}

.cleaner-card {
    border-radius: 1.3rem;
    transition: 0.3s;
}

.cleaner-card:hover {
    transform: translateY(-0.3rem);
}

.profile-logo {
    width: 3rem;
    height: 3rem;
    object-fit: cover;
}

.cleaner-card span {
    font-size: .9rem;
}

.cleaner-card p {
    font-size: 1rem;
    line-height: 1.4rem;
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    overflow: hidden;
}


section.available-accross {
    padding: 4rem 0;
}

section.how-it-works,
section.cleaning-types,
.about-section,
.testimonial-section {
    padding: 5rem 0;
}

.badge-dot {
    position: relative;
    background-color: #F3FAF4;
    border-radius: .5rem;
    color: var(--para);
    font-weight: 400;
    padding: .7rem .7rem .7rem 1.6rem;
}

.badge-dot::before {
    content: "";
    width: .6rem;
    height: .6rem;
    background: var(--primary);
    border-radius: 50%;
    position: absolute;
    left: 0.7rem;
    top: 50%;
    transform: translateY(-50%);
}

h4.text-success-custom {
    color: var(--primary);
}

.about-heading {
    font-size: 2.6rem;
    font-weight: 500;
}

.about-text {
    font-size: 1.1rem;
    line-height: 1.8;
    color: #4E4E4E;
    font-weight: 300;
    max-width: 95%;
}

.about-icons {
    max-width: 95%;
}

.icon-label {
    font-size: 1rem;
    color: #333;
}

.testi-subtitle {
    font-size: 1.1rem;
    color: var(--primary);
    font-weight: 600;
    font-family: "Saira", sans-serif;
}

.testi-title {
    font-size: 2.8rem;
    font-weight: 700;
}

.testi-arrows {
    display: flex;
    gap: 1rem;
}

.testi-arrows .prev-btn,
.testi-arrows .next-btn {
    width: 2.8rem;
    height: 2.8rem;
    border: .1rem solid var(--primary);
    border-radius: 50% !important;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 1.2rem;
    cursor: pointer;
    color: var(--primary);
    background-color: transparent;
}

.testi-card {
    background: #fff;
    border-radius: 1rem;
    box-shadow: 0rem 0.2rem 3.7rem 0rem rgba(0, 0, 0, 0.08);
}

.testi-avatar {
    width: 3.6rem;
    height: 3.6rem;
    border-radius: .7rem;
    object-fit: cover;
}

.testi-name {
    font-size: 1.2rem;
    font-weight: 600;
    color: var(--title);
    margin: 0;
    margin-bottom: .2rem;
}

.testi-loc {
    font-size: 1rem;
    color: #5D5D5D;
}

.testi-text {
    font-size: 1.1rem;
    color: #444;
    line-height: 1.6;
    margin: 0 0 1rem 0;
}

.testi-stars {
    font-size: 1rem;
    font-weight: 600;
    color: #ea9a14;
}

.testimonial-slider .slick-slide {
    margin-right: 2rem;
}

.testimonial-slider .slick-list {
    margin-right: -2rem;
}

.testimonial-slider .slick-track {
    display: flex !important;
}

.testimonial-slider .slick-slide {
    height: inherit !important;
}

.testimonial-slider .testi-card {
    height: 100%;
    display: flex !important;
    flex-direction: column;
    justify-content: space-between;
}

.booking-cleaning-section {
    background: #f4f9f4;
}

.cleaning-box {
    border: 0.1rem solid #e5e5e5;
    border-radius: 1rem;
    background: #fff;
}


.booking-header {
    height: 18rem;
    background: var(--mini-primary);
    padding: 1rem 0 7rem 0;
}

.booking-header h2 {
    font-size: 3rem;
}

.text-green {
    color: var(--primary);
}

.service-card {
    width: 100%;
    height: 100%;
    border: 0.15rem solid #D1E1ED;
    border-radius: 1rem;
    padding: 1rem;
    background: #fff;
    cursor: pointer;
    text-align: center;
    transition: .2s;
}

.service-card.active {
    border-color: var(--primary);
    background: #E8F7E9;
    border: 0.15rem solid var(--primary);
}

.hour-card {
    padding: .8rem 2rem;
    border: .15rem solid #D1E1ED;
    border-radius: .7rem;
    cursor: pointer;
}

.hour-card.active {
    border-color: var(--primary);
    background: #E8F7E9;
    border: 0.15rem solid var(--primary);
}

.booking-section .main {
    margin-top: -9.7rem;
    border: 1px solid #BECEC0;
    background-color: white;
    border-radius: 1.2rem;
}

.main-box {
    border-left: 1px solid #BECEC0;
}

.main-box,
.profile-card {
    padding: 3rem;
}

.col-2-lg {
    max-width: 20%;
}

.service-card p {
    color: #252525;
    text-align: left;
}

.icon img {
    text-align: left;
    margin: 0;
    display: flex;
    width: 3rem;
}

.booking-section .container.main {
    margin-bottom: 4rem;
}

#calendarDays {
    display: grid;
    grid-template-columns: repeat(7, 2.5rem);
    gap: 2rem 2.8rem;
    margin-top: 1rem;
}

.day-label-row {
    display: grid;
    grid-template-columns: repeat(7, 2.5rem);
    gap: 2.8rem;
}

.day-label {
    text-align: center;
    font-size: 1.2rem;
    font-weight: 400;
    color: var(--title);
}

.day-box {
    width: 3rem;
    height: 2.8rem;
    display: flex;
    align-items: center;
    justify-content: center;
    border-radius: .4rem;
    cursor: pointer;
    font-size: 1.2rem;
}

.day-box.available {
    background: #f4f8f5;
    color: #333;
}

.day-box.selected {
    background: #37b561;
    color: #fff !important;
    font-weight: bold;
}

.time-btn {
    padding: .6rem 2.5rem !important;
    border: .2rem solid #dce5dd;
    border-radius: .8rem;
    background: #fff;
    cursor: pointer;
    font-size: 1rem;
}

.time-btn.active {
    border-color: #37b561;
    background: #e6f7ec;
}

.past-day {
    background: #bac9bd00 !important;
    color: #BAC9BD !important;
    pointer-events: none;
    border-radius: .4rem;
}

.calendar-right {
    margin-top: 6.5rem;
}

.location-form-section .custom-input {
    background: #f4faf4;
    border: none;
    height: 3.2rem;
    padding-left: 1rem;
    border-radius: .6rem;
}

.location-form-section textarea.custom-input {
    height: auto;
}

.submit-btn {
    background: #43a34b;
    color: #fff;
    font-size: 1.2rem;
    padding: .9rem;
    border-radius: .6rem;
}

.checkout .border {
    border-color: #e6e6e6 !important;
}

.text-success {
    color: #3da35a !important;
}

.rounded-3 {
    border-radius: .6rem !important;
}

.btn-success {
    background-color: #4CAF50;
    border: none;
    font-size: 1rem;
}

.btn-success:hover {
    background-color: #43a047;
}

.checkout-inner {
    padding: 2rem;
}

.sidebar-box {
    background-color: #fff;
    border-radius: 1.3rem;
    padding: .7rem;
    /* width: 16rem; */
    border: 1px solid #BECEC0;
    /* height: 100%; */
}

.sidebar-link {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: .9rem 1rem;
    border-radius: .75rem;
    font-size: 1rem;
    color: #333;
    cursor: pointer;
}

.sidebar-link.active {
    background-color: #e8f7eb;
    color: #2a9134;
}

.content-box {
    background-color: #fff;
    border-radius: 1.1rem;
    padding: 1.5rem 2rem 2rem 1.5rem;
    border: 1px solid #BECEC0;
    height: 100%;
}

.checkout .nav-pills .nav-link.active,
.nav-pills .show>.nav-link {
    color: var(--primary);
    background-color: var(--mini-primary);
    width: 100%;
    text-align: left;
    border-radius: .8rem;
}

.nav-pills .nav-link {
    color: var(--title);
    font-weight: 600;
    display: flex !important;
    align-items: center;
    justify-content: space-between;
    width: 100%;
    padding: 1rem;
}

.muted {
    color: #6c757d
}

.page-heading {
    color: var(--primary);
}

.bookings-table thead tr th {
    background: var(--mini-primary);
    color: var(--title);
    font-weight: 600;
    padding: 1rem;
}

.bookings-table tbody tr td {
    padding: 1rem;
    color: var(--title);
    font-weight: 500 !IMPORTANT;
}

.booking-logo {
    width: 4rem;
    height: 4rem;
    border-radius: 50%;
    object-fit: cover;
}

.cleaner-rating {
    font-size: .875rem;
    color: #6c757d;
}

.status-completed {
    color: #28a745;
}

.bookings-table thead th:first-child {
    border-top-left-radius: 1.2rem;
}

.bookings-table thead th:last-child {
    border-top-right-radius: 1.2rem;
}

.bookings-table tr.border-bottom {
    border-color: #EAECF0 !important;
}

.book-detail {
    background-color: #F3FAF4;
}

.cleaner {
    background: #F3FAF4;
    border: 2px solid #D1E1ED;
}

.rate-cleaner .booking-logo {
    width: 4rem;
    height: 4rem;
}

.star-rating i {
    font-size: 1.8rem;
    color: #ccc;
    cursor: pointer;
    margin-right: .5rem;
    transition: color .2s ease;
}

/*.star-rating i.active,
.star-rating i:hover,
.star-rating i:hover~i {
    color: var(--primary);
}*/

.message-box {
    background: var(--mini-primary);
    border-radius: .9rem;
    border: 0;
    padding: 1.5rem 1.8rem;
    border: 1px solid var(--mini-primary);
}

.submit-btn {
    background: var(--primary);
    border: none;
    border-radius: .5rem;
}

.submit-btn:hover {
    background: #2d8d43;
}

.rate-cleaner {
    padding: 3rem;
}

.status-completed {
    color: #34C759 ! IMPORTANT;
}

.footer-links {
    padding-left: 0;
    list-style: none;
    gap: 1rem;
    display: flex;
    flex-direction: column;
}

.footer-main {
    padding-left: 8rem;
}

/* Cleaner */
.header-cleaner {
    background: #f6fbf7;
    border-radius: 1rem;
    margin-bottom: 2.5rem;
}

.stat-box {
    background: #f6fbf7;
    border-radius: 1rem;
}

.cleaner-tabs .nav-link {
    width: 100%;
    border-radius: 0.9rem;
    padding: .7rem 1rem;
    font-size: 1rem;
    background: #f6fbf7;
    color: #333;
    text-align: center !important;
    display: flex;
    align-items: center;
    justify-content: center;
}

.cleaner-tabs .nav-link.active {
    background: var(--primary);
    color: #fff;
}

.cleaner-img-wrapper {
    position: relative;
    width: 4.2rem;
    height: 4.2rem;
}

.cleaner-img {
    width: 100%;
    height: 100%;
    background: #e3f3e8;
}

.camera-icon {
    position: absolute;
    right: 0;
    bottom: 0;
    width: 1.4rem;
    height: 1.4rem;
    background: #4caf50;
    border-radius: 50%;
    color: #fff;
    font-size: 0.7rem;
}

ul.cleaner-tabs {
    background-color: var(--mini-primary);
    border: 1px solid #CDDBCF;
    border-radius: 1rem;
    padding: .5rem;
    margin-bottom: 2rem;
}

img.dash-icon {
    width: 4.2rem;
}

img.dash-icon.success {
    width: 3.2rem;
}

.col-lg-4:last-child .active-job.success h2 {
    color: #6342C5 !important;
}

.active-job {
    border: 1px solid #BECEC0;
    height: 100%;
    border-radius: 1rem;
    padding: 1rem;
}

.col-lg-4:last-child .active-job.success {
    border: none;
    background-color: #F4F0FF;
}

.switch {
    position: relative;
    display: inline-block;
    width: 52px;
    height: 26px;
}

.switch input {
    opacity: 0;
    width: 0;
    height: 0;
}

.slider {
    position: absolute;
    inset: 0;
    background-color: #edf6ee;
    border-radius: 35px;
    cursor: pointer;
    transition: .3s;
}

.slider:before {
    position: absolute;
    content: "";
    height: 20px;
    width: 20px;
    left: 3px;
    bottom: 3px;
    background-color: white;
    border-radius: 50%;
    transition: .3s;
}

input:checked+.slider {
    background-color: #3aaa35;
}

input:checked+.slider:before {
    transform: translateX(26px);
}

.day-item {
    display: flex;
    align-items: center;
    gap: .8rem;
    margin-bottom: 1rem;
    font-size: 1.1rem;
    cursor: pointer;
}

.day-item input {
    display: none;
}

.day-check {
    width: 1.6rem;
    height: 1.6rem;
    border-radius: 6px;
    border: 1px solid #CDDBCF;
    display: flex;
    align-items: center;
    justify-content: center;
    transition: .2s ease;
    background-color: var(--mini-primary);
}

.day-item input:checked+.day-check {
    background: #2fa043;
    border-color: #2fa043;
}

.day-item input:checked+.day-check::after {
    content: "\f00c";
    font-family: "Font Awesome 5 Free";
    font-weight: 900;
    color: #fff;
    font-size: 1rem;
}

.block-btn {
    background: var(--primary);
    color: #fff;
    font-size: 1.1rem;
    border-radius: 10px;
    border: none;
    transition: 0.2s;
}

.block-btn:hover {
    background: var(--primary);
}

.block-card {
    background: var(--mini-primary);
    padding: 18px;
    border-radius: 15px;
}

.remove-x {
    font-size: 1.2rem;
    cursor: pointer;
    color: var(--title);
    opacity: 0.7;
}

.remove-x:hover {
    opacity: 1;
}

.review-card {
    border: 1px solid #BECEC0;
    padding: 24px;
    border-radius: 15px;
    margin-bottom: 20px;
}

.review-avatar {
    width: 55px;
    height: 55px;
    border-radius: 50%;
    object-fit: cover;
}

.initials {
    background: var(--mini-primary);
    color: #3a5f3a;
    font-weight: 600;
    display: flex;
    align-items: center;
    justify-content: center;
}

.review-date {
    font-size: 0.9rem;
    color: #555555;
}

.review-text {
    line-height: 1.6;
}

.review-main {
    height: 35rem;
    overflow-y: scroll;
}

img.user-logo {
    width: 2.5rem;
}

.active-cleaner-table {
    border: 1px solid #DDE4E1;
    border-radius: 1rem;
    border-collapse: separate !important;
    border-spacing: 0;
    overflow: hidden;
}

/* .active-cleaner-table thead th {
    border-bottom: 1px solid #DDE4E1 !important;
}

.active-cleaner-table td,
.active-cleaner-table th {
    border-right: 1px solid #DDE4E1;
} */

.active-cleaner-table td:last-child,
.active-cleaner-table th:last-child {
    border-right: 0;
}

.active-cleaner-table thead th:first-child {
    border-top-left-radius: 1rem;
}

.active-cleaner-table thead th:last-child {
    border-top-right-radius: 1rem;
}

.active-cleaner-table tbody tr:last-child td:first-child {
    border-bottom-left-radius: 1rem;
}

.active-cleaner-table tbody tr:last-child td:last-child {
    border-bottom-right-radius: 1rem;
}

.cleaner-detail {
    border: 1px solid #BECEC0;
}

.status-select {
    border: none;
    background: transparent;
    padding-left: 0;
    padding-right: 24px;
    color: #FFB200;
    font-size: 1.1rem;
    box-shadow: none;
}

.status-select:focus {
    border: none;
    box-shadow: none;
}

.status-select option[value="pending"] {
    color: #FFB200;
}

.status-select option[value="in-progress"] {
    color: #0D6EFD;
}

.status-select option[value="completed"] {
    color: #28A745;
}

.contact-row {
    padding: 10px 0;
    color: #222;
    font-size: 1rem;
}

.contact-row i {
    font-size: 1rem;
    color: #222;
}

#aboutUs,
#howIt,
#cleanType,
#cleaners {
    scroll-margin-top: 3rem;
}

.welcome-text {
    color: var(--para);
}

.cleaner-img .book-cleaner-img {
    width: 4rem;
    border-radius: 100px;
}

.checkout-main {
    margin-bottom: 6rem;
}

textarea:focus,
input:focus {
    box-shadow: none !important;
    border-color: var(--primary) !important;
}

.tab-content .tab-pane input {
    font-weight: 600;
}

img.arrow-right {
    width: 2.5rem;
}

img.verified {
    width: 1.3rem;
}

.active-cleaner select,
input {
    border-color: #A4AAAD !important;
}


.btn-main {
    background-color: var(--primary);
    color: #fff;
    border: 1px solid var(--primary);
}

.btn-white {
    background-color: #fff;
    color: var(--primary);
    border: 1px solid var(--primary);
}

.btn-main:hover {
    background-color: transparent;
    color: var(--primary);
    border: 1px solid var(--primary);
}

.btn-white:hover {
    background-color: var(--primary);
    color: #fff;
    border: 1px solid var(--primary);
}

.btn-main,
.btn-white {
    font-size: 1rem;
    padding: .7rem 1rem;
    border-radius: .8rem;
}

.main-container,
.main-container-sec {
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    display: flex;
    align-items: center;
    padding: 3rem 0;
}

.main-card {
    border-radius: 1rem;
    box-shadow: 0 10px 30px rgba(0, 0, 0, 0.1);
    border-radius: 1.5rem;
}

.form-floating {
    position: relative;
}

.form-floating .form-control {
    border-bottom: 1px solid var(--gray);
}

.form-floating .form-control:focus {
    border-color: var(--primary);
    box-shadow: none;
}

input:-webkit-autofill {
    -webkit-box-shadow: 0 0 0 1000px white inset !important;
    -webkit-text-fill-color: #000 !important;
}

.link {
    color: var(--primary);
    font-size: .9rem;
}

.password-field{
    position: relative;
}

.password-field .password-toggle-icon {
    top: unset;
    right: 1rem;
    bottom: 0;
}

.password-toggle-icon {
    position: absolute;
    top: 80%;
    right: 1rem;
    transform: translateY(-80%);
    cursor: pointer;
    color: #6c757d8a;
    font-size: 1rem;
}

.main-card-sec {
    background-color: #0000005c;
    border: 2px solid #ffffff6b;
    border-radius: 1.5rem;
}

.main-card-sec input {
    background-color: #00000000;
    color: #ffffff;
}

.iti__flag-container .iti__selected-flag {
    background-color: #ffffff !important;
}


.reg-form .iti__flag-container .iti__selected-flag {
    background-color: #f3faf4 !important;
}
    

.iti__flag-container .iti__selected-flag:hover {
    background-color: #ffffff !important;
}

input[type=number]::-webkit-inner-spin-button,
input[type=number]::-webkit-outer-spin-button {
    -webkit-appearance: none;
    margin: 0;
}

input[type=number] {
    -moz-appearance: textfield;
}

.country-tel-field .iti.iti--allow-dropdown {
    width: 100%;
}

.country-tel-field .iti__country-list {
    z-index: 10;
}

.otp-input-container {
    display: flex;
    gap: 10px;
    justify-content: left;
}

.otp-input {
    width: 3.4rem;
    height: 3rem;
    text-align: center;
    font-size: 24px;
    border: 0;
    border-bottom: 0;
    border-radius: 0;
    background-color: #F3FAF4;
    border-radius: .6rem;
}

.otp-input:focus {
    border-color: #007bff;
    outline: none;
}

.auth-screens h3 {
    color: var(--primary);
}

.auth-screens form.login-form .form-group input {
    background-color: #F3FAF4 !important;
    border-radius: .5rem;
    font-size: .9rem ! IMPORTANT;
    padding: .6rem 1rem;
    color: var(--para);
}

.auth-screens input:-webkit-autofill {
    -webkit-box-shadow: 0 0 0 1000px #F3FAF4 inset !important;
    -webkit-text-fill-color: #000 !important;
    color: var(--para);
    -webkit-text-fill-color: var(--para) !important;
}

.auth-screens form.login-form .form-group label {
    margin-bottom: .5rem;
    font-size: .9rem;
    color: #303030;
}

.auth-screens form.login-form .form-group input::placeholder {
    font-size: .9rem;
    color: var(--para);
}

.auth-screens form.login-form .form-check-input[type=checkbox] {
    border-color: #CDDBCF !important;
    background-color: #F3FAF4;
    width: 1.5rem;
    height: 1.5rem;
    border-radius: .4rem;
}

.auth-screens form.login-form .form-check-input[type=checkbox]:focus {
    box-shadow: none !important;
}

.auth-screens form.login-form .form-check-input[type=checkbox]:checked {
    background-color: var(--primary);
    border-color: var(--primary);
}

.left-cleaning h2 {
    font-size: 3.4rem;
}

.title_pass {
    font-size: .9rem;
}

.green-pills {
    background-color: #F3FAF4;
    border: 1px solid #CDDBCF;
    padding: .4rem;
    border-radius: 1rem;
}

.green-pills .nav-link {
    background-color: transparent;
    border-radius: .7rem;
    font-size: .95rem;
    color: var(--title);
}

.green-pills .nav-link.active {
    background-color: var(--primary);
    border-radius: .7rem;
    font-size: .95rem;
}

section.beacome-cleaner {
    background: var(--mini-primary);
    padding: 4rem 0;
}
.cleaner-calender, .minicleaner-calender {
    border: 1px solid #BECEC0;
    border-radius: 1.4rem;
    padding: 0rem;
}

.cleaner-calender .fc-toolbar-chunk button {
    text-transform: capitalize;
}

.tab-content .tab-pane input {
font-weight: 400;
}

.fc-booking-card span.badge {
  background-color: #CBDEF5;
padding: 4px 8px;
border-radius: 20px;
margin-top: 3px;
color: #252525;
font-size: .7rem;
font-weight: 400;
margin-bottom: 5px;
margin-left: 5px;
}

.cleaner-calender {
    overflow-x: auto;
}

.cleaner-calender .fc {
    min-width: 900px;
}

#miniCalendar .fc-daygrid-day {
    cursor: pointer;
}

.cleaner-calender .fc-header-toolbar.fc-toolbar.fc-toolbar-ltr , 
.minicleaner-calender .fc-header-toolbar.fc-toolbar.fc-toolbar-ltr {
    margin-bottom: 0;
    padding: 1rem;
}
.cleaner-calender button.fc-next-button.fc-button.fc-button-primary,
.cleaner-calender button.fc-prev-button.fc-button.fc-button-primary,
.minicleaner-calender button.fc-next-button.fc-button.fc-button-primary,
.minicleaner-calender button.fc-prev-button.fc-button.fc-button-primary {
    background-color: #F3FAF4;
    border-color: #F3FAF4;
    border-radius: 50%;
    color: #5D6A7C;
    width: 2.5rem;
    height: 2.5rem;
    display: flex;
    justify-content: center;
}
.cleaner-calender button.fc-next-button.fc-button.fc-button-primary:focus,
.cleaner-calender button.fc-prev-button.fc-button.fc-button-primary:focus,
.cleaner-calender button.fc-next-button.fc-button.fc-button-primary:hover,
.cleaner-calender button.fc-prev-button.fc-button.fc-button-primary:hover{
 border-color: none !important;
 box-shadow: none !important;
 background-color: var(--primary) !important;
 color: #fff !important;
}
.cleaner-calender .fc-button-group {
    gap: 1rem;
}
.cleaner-calender .fc-toolbar-title, .minicleaner-calender .fc-toolbar-title {
    font-size: 1.5rem !important;
    font-weight: 600;
}
.cleaner-calender .fc-button-primary {
    background-color: #F3FAF4 !important;
    color: #5D6A7C ! IMPORTANT;
    opacity: 1 !IMPORTANT;
    border-color: #e4f7e7 !important;
}
.cleaner-calender table.fc-col-header thead tr th {
    border: 0 !IMPORTANT;
    background-color: #F3FAF4;
    color: #5D6A7C !important;
    padding: 1.5rem .5rem;
}
.cleaner-calender {
    height: 650px;
    max-height: 650px;
    overflow-y: auto;
}
.cleaner-calender::-webkit-scrollbar {
    width: 6px;
}

.cleaner-calender::-webkit-scrollbar-track {
    background: #f5f7f6;
}

.cleaner-calender::-webkit-scrollbar-thumb {
    background: linear-gradient(180deg, #16a149, #0f7d35);
    border-radius: 20px;
}

.minicleaner-calender table.fc-col-header thead tr th {
    border: 0;
}
.cleaner-calender table.fc-col-header thead tr th a {
    color: #5D6A7C !important;
}
.minicleaner-calender table.fc-col-header thead tr th a {
    color: #6393A9 !important;
}
.cleaner-calender table.fc-scrollgrid, .minicleaner-calender table.fc-scrollgrid {
    border: 0 !IMPORTANT;
}
.cleaner-calender .fc-timegrid-slots tbody tr td {
    padding: 1.5rem .5rem ! IMPORTANT;
}
.fc-timegrid tbody tr td:first-child {
  border: none !important;
}
.minicleaner-calender table.fc-scrollgrid-sync-table tr td {
    border: 0;
}
.minicleaner-calender table.fc-scrollgrid-sync-table {
    margin-top: 1rem;
}
.minicleaner-calender .fc-daygrid-day-events {
    display: none;
}
.minicleaner-calender .fc-daygrid-day-top {
    justify-content: center;
    padding: .2rem;
}
.minicleaner-calender .fc-daygrid-day-top a{
    color: #051B44;
    text-decoration: none;
}
#miniCalendar .fc-day-today {
    background-color: #16A149 !important;
    border-radius: 4px; 
}
#miniCalendar .fc-day-today a{
    color: white !important;
        font-size: 1rem;
}
.cleaner-calender a.fc-event.fc-event-start.fc-event-end.fc-event-future.fc-timegrid-event.fc-v-event {
    background: #EDF5FF;
    width: 7.8rem;
    border-radius: .6rem;
    padding: .4rem;
}
.unavaliable-dot::before {
    content: "";
    display: inline-block;
    width: 6px;
    height: 6px;
    background-color: red;
    border-radius: 50%;
    margin-right: 6px;
    vertical-align: middle;
}
.minicleaner-calender table.fc-scrollgrid-sync-table tbody tr {
    border: 0 !important;
    box-shadow: none !important;
}
.time-sec {
    display: flex;
    align-items: start;
}

.filter-box {
    border: 1px solid #D0D0D0;
    border-radius: 1.3rem;
    padding: 1.5rem;
}
.clear-link {
    font-size: 0.9rem;
    color: #6b7280;
}

.price-range {
    font-size: 1rem;
    color: #303030;
}

.search-main {
    padding: 4rem;
}
label.filter-label {
    margin-bottom: .4rem;
}
.filter-box input, .filter-box select, .sort-select {
    border-color: #B2B2B2 ! IMPORTANT;
}

.price-range-wrap {
    width: 100%;
}

.range-title {
    display: block;
    font-size: 1rem;
    font-weight: 500;
    margin-bottom: 1rem;
}

.price-range {
    -webkit-appearance: none;
    appearance: none;
    width: 100%;
    height: 0.625rem;
    border-radius: 1rem;
    background: linear-gradient(
        to right,
        var(--primary) 50%,
        #e5e7eb 50%
    );
    outline: none;
    cursor: pointer;
}

.price-range::-webkit-slider-thumb {
    -webkit-appearance: none;
    width: 1.75rem;
    height: 1.75rem;
    background: #ffffff;
    border-radius: 50%;
    box-shadow: 0 0.25rem 0.75rem rgba(0, 0, 0, 0.15);
    border: none;
    margin-top: 0rem;
}

.price-range::-moz-range-thumb {
    width: 1.75rem;
    height: 1.75rem;
    background: #ffffff;
    border-radius: 50%;
    border: none;
    box-shadow: 0 0.25rem 0.75rem rgba(0, 0, 0, 0.15);
}

.price-range::-moz-range-track {
    height: 0.625rem;
    border-radius: 1rem;
    background: #e5e7eb;
}

.range-values {
    display: flex;
    justify-content: space-between;
    color: #111827;
}

/*Cleaner Profile*/


.profile-page-cleaner .stat-box {
    background: #EFFFF5;
    border-radius: 1rem;
}


.profile-page-cleaner .stat-box.rating {
    border: 1px solid #BECEC0;
    background: transparent;
    padding-bottom: 5px !important;
    padding-top: 15px !important;
    margin-top: 10px;
}

.profile-page-cleaner .col-lg-12.verticle-scrolling {
    height: 400px;
    overflow-y: scroll;

    /* Optional: smooth scrolling */
    scroll-behavior: smooth;
}

/* Webkit Browsers (Chrome, Safari, Edge) */
.profile-page-cleaner .col-lg-12.verticle-scrolling::-webkit-scrollbar {
    width: 10px; /* width of scrollbar */
}

.profile-page-cleaner .col-lg-12.verticle-scrolling::-webkit-scrollbar-track {
    background: #f1f1f1; /* track background */
    border-radius: 5px;
}

.profile-page-cleaner .col-lg-12.verticle-scrolling::-webkit-scrollbar-thumb {
    background-color: #BECEC0; /* your green color */
    border-radius: 5px;
    border: 2px solid #f1f1f1; /* optional space around thumb */
}

.profile-page-cleaner .col-lg-12.verticle-scrolling::-webkit-scrollbar-thumb:hover {
    background-color: #AFC3B5; /* darker shade on hover */
}

/* Firefox */
.profile-page-cleaner .col-lg-12.verticle-scrolling {
    scrollbar-width: thin;
    scrollbar-color: #BECEC0 #f1f1f1; /* thumb color | track color */
}


div#profileTab .form-floating.border-bottom .iti.iti--allow-dropdown {
    width: 100%;
}

div#profileTab .form-floating.border-bottom .iti.iti--allow-dropdown .iti__flag-container .iti__selected-flag {
    background-color: transparent ! IMPORTANT;
}

div#profileTab .form-floating.border-bottom {
    border: none !important;
}